Ticket #40203

Display columns and rows

Open Date: 2020-02-28 01:14 Last Update: 2020-03-29 11:06

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
1 - Lowest
Severity:
1 - Lowest
Resolution:
Fixed
File:
None

Details

Display columns and rows in the menu bar for both main and sub windows

Ticket History (3/8 Histories)

2020-02-28 01:14 Updated by: None
  • New Ticket "Display columns and rows" created
2020-02-28 01:15 Updated by: None
Comment

sorry. Not a bug, but a support request

2020-02-28 04:16 Updated by: backwardseric
Comment

Display columns and rows in the menu bar for both main and sub windows

I'd like to clarify what you want. Do you want the dimensions shown (along with the window names) in Hengband's Window menu? Do you want the dimension shown (along with the window name) in the title bar for the window? Do you want a dialog where you could directly the edit the dimensions (and probably placement as well) as an alternative to those only being set by directly moving or resizing the windows?

2020-02-28 16:36 Updated by: None
Comment

backwardseric への返信

Display columns and rows in the menu bar for both main and sub windows

I'd like to clarify what you want. Do you want the dimensions shown (along with the window names) in Hengband's Window menu? Do you want the dimension shown (along with the window name) in the title bar for the window? Do you want a dialog where you could directly the edit the dimensions (and probably placement as well) as an alternative to those only being set by directly moving or resizing the windows?

I'm sorry it's hard to understand.

This is the title bar display.

The current situation is

Hengband

this

Hengband-80x24

I want you to change it.

2020-02-29 05:23 Updated by: backwardseric
  • Owner Update from (None) to backwardseric
Comment

Reply To (Anonymous)

This is the title bar display. The current situation is Hengband this Hengband-80x24 I want you to change it.

That's feasible. I'll need to check how the title updates will respond while resizing the window (in the worst case scenario, I'll delay updating the title until the resize is done). If it's OK with you, I'll use "current title" space "width"x"height" as the titles so where the main window's current title is

Hengband

it would be something like

Hengband 80x24

after the change.

2020-02-29 05:27 Updated by: backwardseric
  • Milestone Update from (None) to 2.2.1.7d
2020-02-29 07:29 Updated by: backwardseric
Comment

A change to accomplish this was checked in to the master branch as https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/aedcfe2fa539be422189618d1df0963a977a23ed . The change was also merged into the For2.2.2-Refactoring-Cocoa branch.

(Edited, 2020-02-29 07:31 Updated by: backwardseric)
2020-03-29 11:06 Updated by: backwardseric
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

In 2.2.1.7d the size in rows and columns is shown after the terminal name in the title bar. The size shown on the title bar is not updated during resizes but, at the end of the resize, is changed to match the final result.

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login